package com.dev.swms.server.service.base;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.base.BoxModel;
import com.dev.energy.server.service.BaseManager;

@SuppressWarnings("unchecked")
@Transactional(readOnly = false)
public interface BoxModelManager extends BaseManager {
	/**
	 * 新建箱型
	 * @author  dev
	 * @param boxModel
	 */
	@Transactional
	void caseStore(BoxModel boxModel);
	/**
	 * 失效箱型
	 * @author  dev
	 * @param ids
	 */
	@Transactional
	void inActive(List<Long> ids);
	/**
	 * 生效箱型
	 * @author  dev
	 * @param ids
	 */
	@Transactional
	void restore(List<Long> ids);
	
	@Transactional
	void backBoxModelManager(Long boxModelId,String shipToName,long quantity);
	
	@Transactional
	void backBoxModels(Long boxModelId,Map map);
}
